CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes
RepeatedTest Class Reference

Decorator that runs a test repeatedly. More...

`#include <RepeatedTest.h>`

Inheritance diagram for RepeatedTest:
[legend]
Collaboration diagram for RepeatedTest:
[legend]

List of all members.

## Public Member Functions
| RepeatedTest (Test *test, int timesRepeat)
void | run (TestResult *result)
| Run the test, collecting results.
int | countTestCases () const
| Return the number of test cases invoked by run().
## Private Member Functions
| RepeatedTest (const RepeatedTest &)
void | operator= (const RepeatedTest &)
## Private Attributes
const int | m_timesRepeat

## Detailed Description

Decorator that runs a test repeatedly.

Does not assume ownership of the test it decorates

## Constructor & Destructor Documentation

RepeatedTest::RepeatedTest | ( | Test * | test,
|  | int | timesRepeat
| ) |  | `[inline]`

RepeatedTest::RepeatedTest | ( | const RepeatedTest & |  | ) | `[private]`

## Member Function Documentation

CPPUNIT_NS_BEGIN int RepeatedTest::countTestCases | ( |  | ) | const`[virtual]`

Return the number of test cases invoked by run().

The base unit of testing is the class TestCase. This method returns the number of TestCase objects invoked by the run() method.

Reimplemented from TestDecorator.

void RepeatedTest::operator= | ( | const RepeatedTest & |  | ) | `[private]`

void RepeatedTest::run | ( | TestResult * | result | ) | `[virtual]`

Run the test, collecting results.

Reimplemented from TestDecorator.

## Member Data Documentation

const int RepeatedTest::m_timesRepeat`[private]`

The documentation for this class was generated from the following files:

- RepeatedTest.h
- RepeatedTest.cpp

| hosts this site. |  | Send comments to: CppUnit Developers